Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow.awt
Class AWTGraphicsConfiguration

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsConfiguration
          javax.media.nativewindow.awt.AWTGraphicsConfiguration

All Implemented Interfaces:
  Cloneable, AbstractGraphicsConfiguration

    public class AWTGraphicsConfiguration

extends DefaultGraphicsConfiguration
implements Cloneable

A wrapper for an AWT GraphicsConfiguration allowing it to be handled in a toolkit-independent manner.

Field Summary

Fields inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration
`capabilitiesChosen, capabilitiesRequested`

Constructor Summary
`AWTGraphicsConfiguration(AWTGraphicsScreen screen, Capabilities capsChosen, Capabilities capsRequested, GraphicsConfiguration config)`
`AWTGraphicsConfiguration(AWTGraphicsScreen screen, Capabilities capsChosen, Capabilities capsRequested, GraphicsConfiguration config, AbstractGraphicsConfiguration encapsulated)`

Method Summary
`Object` | `clone()`
`GraphicsConfiguration` | `getGraphicsConfiguration()`
`AbstractGraphicsConfiguration` | `getNativeGraphicsConfiguration()` In case this instance already reflects a native configuration, return this one.
`static Capabilities` | `setupCapabilitiesRGBABits(Capabilities capabilities, GraphicsConfiguration gc)` Sets up the Capabilities' RGBA size based on the given GraphicsConfiguration's ColorModel.
`String` | `toString()`

Methods inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration
`getChosenCapabilities, getRequestedCapabilities, getScreen, setChosenCapabilities, setScreen`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AWTGraphicsConfiguration

    public AWTGraphicsConfiguration(AWTGraphicsScreen screen,
                                    Capabilities capsChosen,
                                    Capabilities capsRequested,
                                    GraphicsConfiguration config,
                                    AbstractGraphicsConfiguration encapsulated)

### AWTGraphicsConfiguration

    public AWTGraphicsConfiguration(AWTGraphicsScreen screen,
                                    Capabilities capsChosen,
                                    Capabilities capsRequested,
                                    GraphicsConfiguration config)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultGraphicsConfiguration`

### getGraphicsConfiguration

    public GraphicsConfiguration getGraphicsConfiguration()

### getNativeGraphicsConfiguration

    public AbstractGraphicsConfiguration getNativeGraphicsConfiguration()

  Description copied from interface: `AbstractGraphicsConfiguration`
  In case this instance already reflects a native configuration, return this one. Otherwise return the encapsuled native configuration, as it shall be included e.g. in the AWT case.

  Specified by:
    `getNativeGraphicsConfiguration` in interface `AbstractGraphicsConfiguration`
  Overrides:
    `getNativeGraphicsConfiguration` in class `DefaultGraphicsConfiguration`

### setupCapabilitiesRGBABits

    public static Capabilities setupCapabilitiesRGBABits(Capabilities capabilities,
                                                         GraphicsConfiguration gc)

  Sets up the Capabilities' RGBA size based on the given GraphicsConfiguration's ColorModel.

  Parameters:
    `capabilities` - the Capabilities object whose red, green, blue, and alpha bits will be set
    `gc` - the GraphicsConfiguration from which to derive the RGBA bit depths
  Returns:
    the passed Capabilities

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultGraphicsConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.